#
# Conditional build:
%bcond_with	tests	# build regression tests programs
%bcond_without	gnome	# build without gtk-doc-manual in GNOME help format
#
Summary:	API documentation generation tool for GTK+ and GNOME
Summary(es.UTF-8):	El generador de documentación del GTK
Summary(pl.UTF-8):	Narzędzie do generowania dokumentacji API do GTK+ i GNOME
Summary(pt_BR.UTF-8):	O gerador de documentação do GTK
Name:		gtk-doc
Version:	1.34.0
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	https://download.gnome.org/sources/gtk-doc/1.34/%{name}-%{version}.tar.xz
# Source0-md5:	f0e7385ba25eddb6ce0953e8cf63d1bf
Patch0:		%{name}-noarch.patch
Patch1:		%{name}-cmake.patch
Patch2:		%{name}-struct-end.patch
URL:		https://wiki.gnome.org/DocumentationProject/GtkDoc
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-style-xsl-nons >= 1.74.0
%{?with_tests:BuildRequires:	glib2-devel >= 1:2.6.0}
%{?with_tests:BuildRequires:	libtool >= 2:2.2}
BuildRequires:	libxml2 >= 1:2.3.6
BuildRequires:	libxslt-progs >= 1.1.15
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	python3 >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{?with_gnome:BuildRequires:	yelp-tools}
Requires:	%{name}-automake = %{version}-%{release}
Requires:	docbook-dtd43-xml
Requires:	docbook-style-xsl-nons >= 1.74.0
Requires:	libxml2 >= 1:2.3.6
Requires:	libxslt-progs >= 1.1.15
Requires:	python3-pygments
# +for mkhtml2: python3-anytree python3-lxml
Conflicts:	pkgconfig < 1:0.19
%{!?with_tests:BuildArch:	noarch}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtk-doc is a tool for generating API reference documentation. It is
used for generating the documentation for GTK+, GLib and GNOME.

%description -l pl.UTF-8
gtk-doc jest narzędziem do generowania dokumentacji API. Jest używany
do generowania dokumentacji GLib, GTK+ i GNOME.

%package automake
Summary:	Automake macros for gtk-doc
Summary(pl.UTF-8):	Makra automake'a do gtk-doc
Group:		Development/Tools
Requires:	automake
Requires:	pkgconfig
Conflicts:	glib2-devel < 1:2.10.0
Conflicts:	gtk-doc < 0:1.4-3
BuildArch:	noarch

%description automake
Automake macros for gtk-doc.

%description automake -l pl.UTF-8
Makra automake'a do gtk-doc.

%package common
Summary:	Common directories for documetation generated using gtk-doc
Summary(pl.UTF-8):	Katalogi na dokumentację wygenerowaną za pomocą gtk-doc
Group:		Development
BuildArch:	noarch

%description common
Common directories for API documentation for various packages,
generated using gtk-doc.

%description common -l pl.UTF-8
Katalogi na dokumentację API do różnych pakietów, wygenerowaną za
pomocą gtk-doc.

%prep
%setup -q
%{!?with_tests:%patch0 -p1}
%patch1 -p1
%patch2 -p1

%{__mv} doc/README doc/README.docs

%build
install -d build-aux
%{?with_tests:%{__libtoolize}}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	PKG_CONFIG=/usr/bin/pkg-config \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_gtkdocdir} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with gnome}
%find_lang gtk-doc-manual --with-gnome
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files %{?with_gnome:-f gtk-doc-manual.lang}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO README doc/*
%attr(755,root,root) %{_bindir}/gtkdoc-*
%attr(755,root,root) %{_bindir}/gtkdocize
%{_datadir}/cmake/GtkDoc
%{_datadir}/gtk-doc
%{_npkgconfigdir}/gtk-doc.pc
%{_examplesdir}/%{name}-%{version}

%files automake
%defattr(644,root,root,755)
%{_aclocaldir}/gtk-doc.m4

%files common
%defattr(644,root,root,755)
%dir %{_docdir}/gtk-doc
%dir %{_gtkdocdir}
%changelog
* Mon Mar 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtk-doc.git;a=log;h=master

* Thu Mar 07 2024 Jakub Bogusz <qboosh@pld-linux.org> e7eabf2
- updated to 1.34.0

* Fri Jul 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 1239a33
- enhanced struct-end patch not to crash on empty row after nested struct/union (NetworkManager case)
- relese 5

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 5ea2d35
- added struct-end patch (fix for indented struct end); release 4

* Sat Apr 17 2021 Jakub Bogusz <qboosh@pld-linux.org> d5827bf
- added cmake patch (fix missing internal CMAKE_FIND_LIBRARY_PREFIXES variable issue); release 3

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6e33f11
- unconditional noarch subpackages

* Thu Feb 25 2021 Jakub Bogusz <qboosh@pld-linux.org> af1ed3b
- release 2

* Thu Feb 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 191abb2
- rediffed noarch patch

* Wed Jan 20 2021 Jakub Bogusz <qboosh@pld-linux.org> b99cc76
- updated to 1.33.2

* Tue Nov 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 66e77da
- updated to 1.33.1

* Fri Oct 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 6f364e4
- updated to 1.33.0

* Thu Sep 10 2020 Jakub Bogusz <qboosh@pld-linux.org> c0228cc
- updated URL

* Wed Oct 30 2019 Jan Rękorajski <baggins@pld-linux.org> 74fab98
- force pkg-config path to avoid ending up with hardcoded suff like x86_64-pld-linux-gnux32-pkg-config
- rel 2

* Thu Aug 29 2019 Jakub Bogusz <qboosh@pld-linux.org> e8f1877
- updated to 1.32

* Tue Aug 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 539d664
- updated to 1.31
- removed obsolete chmod patch

* Wed May 15 2019 Jakub Bogusz <qboosh@pld-linux.org> dfc877b
- added chmod patch (add u+w bit instead of setting to only u=w); release 2

* Fri May 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 03728cd
- updated to 1.30
- main package can be noarch again
- now uses pygments instead of source-highlight

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> add4725
- release 2

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 1bc014f
- updated noarch patch

* Wed Sep 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 90d76eb
- updated to 1.29, requires python3 now

* Tue Jul 31 2018 Jakub Bogusz <qboosh@pld-linux.org> 06182df
- back to non-namespaced stylesheets, release 2

